Package org.opensaml.soap.wsaddressing

# Interface AttributedURI

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `WSAddressingObject`, `XMLObject`, `XSURI`

All Known Subinterfaces:
  `Action`, `Address`, `MessageID`, `ProblemIRI`, `To`

All Known Implementing Classes:
  `ActionImpl`, `AddressImpl`, `AttributedURIImpl`, `MessageIDImpl`, `ProblemIRIImpl`, `ToImpl`

public interface AttributedURI extends XSURI, AttributeExtensibleXMLObject, WSAddressingObject
Interface for element of type <wsa:AttributedURIType>.

See Also:
  - "WS-Addressing 1.0 - Core"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.